Package org.silverpeas.components.community.notification.user

# Class MembershipRequestUserNotificationBuilder

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>
org.silverpeas.components.community.notification.user.AbstractCommunityUserNotificationBuilder
org.silverpeas.components.community.notification.user.MembershipRequestUserNotificationBuilder

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

public class MembershipRequestUserNotificationBuilder extends AbstractCommunityUserNotificationBuilder
User notification dedicated to notify validators about a new member request to join a community.

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MembershipRequestUserNotificationBuilder(CommunityOfUsers resource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MembershipRequestUserNotificationBuilder`
  `about(CommunityOfUsers community)`
  Initializing the user notification builder with given community.
  `protected String`
  `getBundleSubjectKey()`
  `protected Collection<String>`
  `getGroupIdsToNotify()`
  `protected String`
  `getResourceURL(CommunityOfUsers resource)`
  `protected String`
  `getSender()`
  `protected String`
  `getTemplateFileName()`
  `protected String`
  `getTitle(String language)`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `MembershipRequestUserNotificationBuilder`
  `newRequestFrom(org.silverpeas.core.admin.user.model.User requester)`
  Indicating the requester for which the join request validation has been performed and if the request has been accepted or refused.
  `protected void`
  `performTemplateData(String language, CommunityOfUsers resource, org.silverpeas.core.template.SilverpeasTemplate template)`

  ### Methods inherited from class org.silverpeas.components.community.notification.user.AbstractCommunityUserNotificationBuilder

  `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSpace, getSpaceManagerProfile, getTemplatePath, isSendImmediately, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MembershipRequestUserNotificationBuilder

    protected MembershipRequestUserNotificationBuilder(CommunityOfUsers resource)

- ## Method Details

  - ### about

    public static MembershipRequestUserNotificationBuilder about(CommunityOfUsers community)
    Initializing the user notification builder with given community.
    Parameters:
      `community` - a `CommunityOfUsers` instance.
    Returns:
      the builder instance itself.

  - ### newRequestFrom

    public MembershipRequestUserNotificationBuilder newRequestFrom(org.silverpeas.core.admin.user.model.User requester)
    Indicating the requester for which the join request validation has been performed and if the request has been accepted or refused.
    Parameters:
      `requester` - a `User` instance if the join requester.
    Returns:
      the builder instance itself.

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

  - ### getTitle

    protected String getTitle(String language)
    Overrides:
      `getTitle` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getGroupIdsToNotify

    protected Collection<String> getGroupIdsToNotify()
    Overrides:
      `getGroupIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getSender

    protected String getSender()
    Overrides:
      `getSender` in class `AbstractCommunityUserNotificationBuilder`

  - ### getResourceURL

    protected String getResourceURL(CommunityOfUsers resource)
    Overrides:
      `getResourceURL` in class `AbstractCommunityUserNotificationBuilder`

  - ### performTemplateData

    protected void performTemplateData(String language, CommunityOfUsers resource, org.silverpeas.core.template.SilverpeasTemplate template)
    Overrides:
      `performTemplateData` in class `AbstractCommunityUserNotificationBuilder`